function love.load()
	require 'secs'
	require 'amath'
	require 'player'
	require 'bullet'
	require 'ship'
	require 'enmbullet'
	require 'spawn'
	require 'bg'
	require 'menu'
	require 'gameover'
	require 'rock'
	require 'brbintro'
	require 'brb'
	require 'powerup'

	icon = love.graphics.newImage('img/icon.png')
	love.graphics.setIcon(icon)

	gamestate = 'menu'

	score = 0

end

function love.update(dt)
	if gamestate == 'game' then
		spawnupdate(dt)
		player:update(dt)
		updatebg(dt)
		brbupdate(dt)


		for i = 1, #bullets do
			bullets[i]:update(dt)
		end

		for i = 1, #enmbullets do
			enmbullets[i]:update(dt)
		end

		for i = 1, #ships do
			ships[i]:update(dt)
		end

		for i = 1, #rocks do
			rocks[i]:update(dt)
		end

	elseif gamestate == 'menu' then
		menuupdate(dt)
	elseif gamestate == 'brbintro' then
		brbintroupdate(dt)
	end

end

function love.draw()
	if gamestate == 'game' then
		drawbg()
		brbdraw()
	
		love.graphics.print('Score: '..score, 5, love.graphics.getHeight() - 20)

		for i = 1, #bullets do
			bullets[i]:draw()
		end

		for i = 1, #enmbullets do
			enmbullets[i]:draw()
		end

		for i = 1, #ships do
			ships[i]:draw()
		end

		for i = 1, #rocks do
			rocks[i]:draw()
		end

		player:draw()
		love.graphics.setFont(bigfont)
		love.graphics.setColor(255, 125, 125, 150)
		love.graphics.printf(powerupmsg, love.graphics.getWidth()/2, love.graphics.getHeight()/4, 0, 'center')
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.setFont(normfont)
	elseif gamestate == 'menu' then
		menudraw()
	elseif gamestate == 'over' then
		gameover()
	elseif gamestate == 'brbintro' then
		brbintrodraw()
	end
end