--Create player class:
char = class:new()

char.x = love.graphics.getWidth() / 2
char.y = love.graphics.getHeight() / 2
char.wid = 99
char.hig = 75
char.speed = 225
char.reload = true
char.shield = false
char.health = 7
char.anm = {
	normal = love.graphics.newImage('img/player/player.png'),
	left = love.graphics.newImage('img/player/left.png'),
	right = love.graphics.newImage('img/player/right.png'),
    shield = love.graphics.newImage('img/player/shield.png'),
    icon = love.graphics.newImage('img/player/icon.png'),
    gicon = love.graphics.newImage('img/player/greyicon.png'),
}
char.img = char.anm.normal


--Create player:
player = char:new()

--Update player:
function char:update(dt)

	char.img = char.anm.normal

	--Movment code:

    if love.keyboard.isDown('up') then
    	self.y = self.y - self.speed * dt
    end

    if love.keyboard.isDown('down') then
    	self.y = self.y + self.speed * dt
    end

    if love.keyboard.isDown('left') then
    	self.x = self.x - self.speed * dt
    	char.img = char.anm.left
    end

    if love.keyboard.isDown('right') then
    	self.x = self.x + self.speed * dt
    	char.img = char.anm.right
    end

    --Shooting:

    if (love.keyboard.isDown(' ') and (not self.shield)) then
        if self.reload then
            table.insert(bullets, bullet:new(self.x + self.wid / 2 - 9 / 2, self.y))
            self.reload = false
        end
    else
        self.reload = true
    end

    if love.keyboard.isDown('s') then
        self.shield = true
    else
        self.shield = false
    end

    --Getting hurt:

    for i = 1, #enmbullets do
        if not enmbullets[i].dead then
            if math.aabb(enmbullets[i].x, enmbullets[i].y, 9, 33, self.x, self.y, self.wid, self.hig) then
                if not self.shield then
                    self.health = self.health - 1
                end
                enmbullets[i].dead = true
            end
        end
    end

    for i = 1, #rocks do
        if math.aabb(rocks[i].x - rocks[i].wid/2, rocks[i].y - rocks[i].hig/2, rocks[i].wid/1.5, rocks[i].hig/1.5, self.x, self.y, self.wid, self.hig) then
            self.health = 0
        end
    end

    --Getting killed:
    if self.health < 1 then
        gamestate = 'over'
    end

end

function char:draw()
	love.graphics.draw(self.img, math.round(self.x), math.round(self.y))
    
    for i = 1, char.health, 1 do
        love.graphics.draw(self.anm.gicon, i * 40 - 35, 0)
    end

    for i = 1, self.health, 1 do
        love.graphics.draw(self.anm.icon, i * 40 - 35, 0)
    end

    if self.shield then
        love.graphics.draw(self.anm.shield, math.round(self.x - 26), math.round(self.y - 26))
    end
end